
From: Adrian Bunk <bunk@stusta.de>

This patch makes some needlessly global code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/signal.c |    2 --
 25-akpm/kernel/sys.c    |    4 ++--
 2 files changed, 2 insertions(+), 4 deletions(-)

diff -puN kernel/signal.c~kernel-sysc-make-some-code-static kernel/signal.c
--- 25/kernel/signal.c~kernel-sysc-make-some-code-static	2005-02-22 18:19:48.000000000 -0800
+++ 25-akpm/kernel/signal.c	2005-02-22 18:19:48.000000000 -0800
@@ -28,8 +28,6 @@
 #include <asm/unistd.h>
 #include <asm/siginfo.h>
 
-extern void k_getrusage(struct task_struct *, int, struct rusage *);
-
 /*
  * SLAB caches for signal bits.
  */
diff -puN kernel/sys.c~kernel-sysc-make-some-code-static kernel/sys.c
--- 25/kernel/sys.c~kernel-sysc-make-some-code-static	2005-02-22 18:19:48.000000000 -0800
+++ 25-akpm/kernel/sys.c	2005-02-22 18:19:48.000000000 -0800
@@ -92,7 +92,7 @@ int cad_pid = 1;
  */
 
 static struct notifier_block *reboot_notifier_list;
-DEFINE_RWLOCK(notifier_lock);
+static DEFINE_RWLOCK(notifier_lock);
 
 /**
  *	notifier_chain_register	- Add notifier to a notifier chain
@@ -1560,7 +1560,7 @@ asmlinkage long sys_setrlimit(unsigned i
  * given child after it's reaped, or none so this sample is before reaping.
  */
 
-void k_getrusage(struct task_struct *p, int who, struct rusage *r)
+static void k_getrusage(struct task_struct *p, int who, struct rusage *r)
 {
 	struct task_struct *t;
 	unsigned long flags;
_
